Shifts
Create Shift
Creates a new shift for an event.
POST
/
events
/
{id}
/
shifts
Create Shift
curl --request POST \
--url https://api.roostedhr.com/api/1_12/events/{id}/shifts \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"start_time": "2021-01-01 18:00:00",
"skillset_id": 123,
"quantity": "<string>",
"custom_name": "<string>",
"end_time": "2021-01-01 20:00:00",
"alternate_quantity": "<string>",
"comments": "<string>"
}
'import requests
url = "https://api.roostedhr.com/api/1_12/events/{id}/shifts"
payload = {
"start_time": "2021-01-01 18:00:00",
"skillset_id": 123,
"quantity": "<string>",
"custom_name": "<string>",
"end_time": "2021-01-01 20:00:00",
"alternate_quantity": "<string>",
"comments": "<string>"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
start_time: '2021-01-01 18:00:00',
skillset_id: 123,
quantity: '<string>',
custom_name: '<string>',
end_time: '2021-01-01 20:00:00',
alternate_quantity: '<string>',
comments: '<string>'
})
};
fetch('https://api.roostedhr.com/api/1_12/events/{id}/shifts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
123Skillset
Every shift requires a skillset. Provideskillset_id to assign an existing skillset to the shift.
Times use
YYYY-MM-DD HH:MM:SS format (e.g., "2025-06-15 09:00:00"). The shift date portion should match the parent event’s date.Authorizations
Path Parameters
Event ID
Body
application/json
Example:
"2021-01-01 18:00:00"
Skillset ID for this shift.
Required string length:
1 - 255Example:
"2021-01-01 20:00:00"
Maximum string length:
255Maximum string length:
65535Response
Created
Created shift ID
⌘I
Create Shift
123